How to Use PHP Version Selector by CloudLinux?

PHP Selector is a CloudLinux component that sits on top of CageFS. It allows each user to select PHP version and module based on their needs. PHP Selector requires account to have CageFS enabled to work. PHP Selector is compatible with the following technologies: suPHP, mod_fcgid, CGI (suexec), LiteSpeed. It is not compatible with mod_php/DSO, including mod_ruid2 and MPM ITK. PHP Selector is currently not compatible with PHP-FPM, though we are planning to support it in the future. 

 

 

 

Inside cPanel, User will be able to change PHP version they would have:

 

php_selector_user.png

as well as extensions that they want to use:

phpselector_customer

 

and php.ini settings

phpselector_options

  • 0 Users Found This Useful
Was this answer helpful?

Related Articles

What is the difference between parked, addon, and subdomains?

A subdomain is a second website, with its own unique content, but there is no new domain name....

Document Root Changes

We can no longer change the document root for your main (primary) domain. This causes problems...

Getting Started

  The very first step is to change your domain DNS to the name servers you received in your...

How do I create and delete a cron job?

Cron Jobs run scheduled tasks at specific times. This is good to set up automated backups and or...

How do I deny IP address access?

Do you want to stop someone from visiting your website? This tool will block anyone from a...